# Class MobileMeasurePointController

#### Hierarchy

- MobileMeasurePointController

- Defined in src/mobile/measure/pointComponent.js:133

#####
Index

### Properties

$filter_
active
drawInteraction
gettextCatalog_
gmfRaster_
map
mapViewPropertyChangeEventKey_
measure
ngeoDebounce_
options

### Methods

deactivate
init
translate

## Properties

### $filter_

$filter_: IFilterService

- Defined in src/mobile/measure/pointComponent.js:164

### active

active: boolean

- Defined in src/mobile/measure/pointComponent.js:174
- Defined in src/mobile/measure/pointComponent.js:236

### drawInteraction

drawInteraction: default

- Defined in src/mobile/measure/pointComponent.js:195
- Defined in src/mobile/measure/pointComponent.js:223

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/mobile/measure/pointComponent.js:159

### gmfRaster_

gmfRaster_: any

- Defined in src/mobile/measure/pointComponent.js:149

### map

map: Map

- Defined in src/mobile/measure/pointComponent.js:169

### mapViewPropertyChangeEventKey_

mapViewPropertyChangeEventKey_: EventsKey

The key for map view 'propertychange' event.

- Defined in src/mobile/measure/pointComponent.js:202
- Defined in src/mobile/measure/pointComponent.js:264
- Defined in src/mobile/measure/pointComponent.js:273

### measure

measure: default

- Defined in src/mobile/measure/pointComponent.js:190
- Defined in src/mobile/measure/pointComponent.js:209

### ngeoDebounce_

ngeoDebounce_: miscDebounce<(() => void)>

- Defined in src/mobile/measure/pointComponent.js:154

### options

options: any

- Defined in src/mobile/measure/pointComponent.js:144

## Methods

### deactivate

- deactivate(): void

- Deactivate the directive.

  #### Returns void

  - Defined in src/mobile/measure/pointComponent.js:235

### init

- init(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/mobile/measure/pointComponent.js:208

### translate

- translate(str: string): string

- ### Returns

  The translated text.

  #### Parameters

  - ##### str: string

    String to translate.

  #### Returns string

  - Defined in src/mobile/measure/pointComponent.js:243

Generated using TypeDoc